Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Enum

    java.lang.Object
      org.jivesoftware.util.Enum

Direct Known Subclasses:
  IntEnum

    public class Enum

extends Object

A type safe enumeration object. Used for indicating distinct states in a generic manner. Most child classes should extend Enum and create static instances.

Author:
  Iain Shigeoka

Constructor Summary
`protected` | `Enum(String name)`

Method Summary
`boolean` | `equals(Object object)`
`String` | `getName()` Returns the name of the enum.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Enum

    protected Enum(String name)

Method Detail

### getName

    public String getName()

  Returns the name of the enum.

  Returns:
    the name of the enum.

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.